const chatService = require("../services/chatService");

function setupChatSocket(wss) {
  wss.on("connection", (ws) => {
    ws.send("Welcome.");
    ws.on("message", (message) => {
      const data = JSON.parse(message);
      if (data["type"] === "send") {
        const sendEventPacket = JSON.stringify({
          type: "send-event",
          data: {
            content: data["data"]["content"],
          },
        });
        chatService.broadcast(wss, sendEventPacket, ws);
      }
    });
  });
}

module.exports = setupChatSocket;
